package tutorialJava.examenes.examen20250321.controlador;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.List;

import tutorialJava.examenes.examen20250321.modelo.TipoMorosidad;


public class ControladorTipoMorosidad {

	
	public static List<TipoMorosidad> findAll() {
		List<TipoMorosidad> lista = new ArrayList<TipoMorosidad>();
		try {
			Connection conn = ConnectionManager.getConnection();
			
			Statement s = conn.createStatement();
			ResultSet rs = 
					s.executeQuery("select * from tipo_morosidad");
			
			while (rs.next()) {
				TipoMorosidad l = new TipoMorosidad();
				l.setId(rs.getInt("id"));
				l.setDescripcion(rs.getString("descripcion"));
				lista.add(l);
			}
		}
		catch (Exception ex) {
			ex.printStackTrace();
		}
		return lista;
	}
	
}










